Data Fields

# arm_fir_decimate_instance_f32 Struct Reference

Instance structure for the floating-point FIR decimator. More...

`#include <arm_math.h>`

## Data Fields
uint8_t | M
uint16_t | numTaps
float32_t * | pCoeffs
float32_t * | pState

## Detailed Description

Instance structure for the floating-point FIR decimator.

Definition at line 3239 of file arm_math.h.

## Field Documentation

uint8_t arm_fir_decimate_instance_f32::M

decimation factor.

Definition at line 3241 of file arm_math.h.

uint16_t arm_fir_decimate_instance_f32::numTaps

number of coefficients in the filter.

Definition at line 3242 of file arm_math.h.

float32_t* arm_fir_decimate_instance_f32::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 3243 of file arm_math.h.

float32_t* arm_fir_decimate_instance_f32::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 3244 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines